Skip to main content

Setting URLs for Webhooks

Last updated: 15 June 2026

The api/callback/set method is used to set the webhook URL. There are two types of webhooks available in edna Pulse: master and additional.

File IconGeneral Information about edna Pulse API Keys and Webhooks
info

If necessary, you can enable webhook authentication in your edna Pulse account.

File IconManaging edna Pulse Webhooks

Calling the method

To set the URL for the webhook, send a POST request to the URL https://app.edna.io/api/callback/set.

tip

To verify the availability of the URL, edna Pulse will send a test HEAD request and expect a response with code 200. If the HEAD request fails, the specified URL will not be saved.

info

If a webhook delivery fails, edna Pulse will attempt to resend it up to three times using a backoff scheme: 4, 128, and 2048 seconds after the previous attempt.

Request format

{
"statusCallbackUrls": [
"string"
],
"inMessageCallbackUrls": [
"string"
],
"messageMatcherCallbackUrls": [
"string"
],
"messageMatcherCategoryChangedCallbackUrls": [
"string"
],
"shortLinkVisitedCallbackUrls": [
"string"
],
"subjectIds": [
"number"
]
}

Request example

Configuring master webhooks

{
"statusCallbackUrls": [
"https://messagesxxx.com/status/webhook/statusCallbackUrls"
],
"inMessageCallbackUrls": [
"https://messagesxxx.com/status/webhook/inMessageCallbackUrls"
],
"messageMatcherCallbackUrls": [
"https://messagesxxx.com/status/webhook/messageMatcherCallbackUrls"
],
"messageMatcherCategoryChangedCallbackUrls": [
"https://messagesxxx.com/status/webhook/messageMatcherCategoryChangedCallbackUrls"
],
"shortLinkVisitedCallbackUrls": [
"https://messagesxxx.com/status/webhook/shortLinkVisitedCallbackUrls"
]
}

Configuring additional webhooks

tip

The maximum number of URLs for each type of event within a single channel is 2.

{
"statusCallbackUrls": [
"https://messagesxxx.com/webhook/statusCallbackUrls/1",
"https://messagesxxx.com/webhook/statusCallbackUrls/2"
],
"inMessageCallbackUrls": [
"https://messagesxxx.com/webhook/inMessageCallbackUrls/1"
],
"messageMatcherCallbackUrls": [
"https://messagesxxx.com/webhook/messageMatcherCallbackUrls/1"
],
"messageMatcherCategoryChangedCallbackUrls": [
"https://messagesxxx.com/webhook/messageMatcherCategoryChangedCallbackUrls/1",
"https://messagesxxx.com/webhook/messageMatcherCategoryChangedCallbackUrls/2"
],
"shortLinkVisitedCallbackUrls": [
"https://messagesxxx.com/webhook/shortLinkVisitedCallbackUrls/1"
],
"subjectIds": [
1
]
}

Request parameters

tip

Your URL should be genuine and accessible to the public via the Internet. Only use the secure HTTPS protocol — the default is TCP port 443. URLs can contain a maximum of 500 characters.

ParameterData typeCharacterDescription
statusCallbackUrlsarray of stringsOptionalA list of URLs to which webhooks about the message delivery status will be sent.
inMessageCallbackUrlsarray of stringsOptionalA list of URLs to which webhooks about incoming messages will be sent.
messageMatcherCallbackUrlsarray of stringsOptionalA list of URLs that will receive webhooks about the registration status of the template.
messageMatcherCategoryChangedCallbackUrlsarray of stringsRequiredThe link to the newsletter is the address where you want to download webpages from another WhatsApp directory.
shortLinkVisitedCallbackUrlsarray of stringsRequiredThe URL of the message where you can find messages for tracking link clicks from your WhatsApp.
object identifiersarray of numbersRequired

The message and the ID of the users for whom it is not possible to set the URL for additional websites. To find out the channel ID, use the API method to get information about channels — the SubjectID parameter.

File IconReceiving List of Channels

If you do not specify theme identifiers, you can find the settings of the main websites, the maximum number of URLs for the type of site is 1.

File IconGeneral Information about edna Pulse API Keys and Webhooks
tip

If subjectIds is specified, the maximum number of URLs per event type within a single channel is 2.

warning

If the SubjectID parameter is not specified, webhooks will be configured for all channels. If the SubjectID parameter is specified, the webhook URL will be set only for the channel with the specified ID.

Response format

{
"code": "string"
}

Response example

{
"code": "ok"
}

Response parameters

ParameterData typeDescription
codestringThe response code to the request.

Errors

CodeErrorDescription
400callback-url-not-available

The URL is not available for a request from the public Internet. Possible comments:

  • The callback URL is not available — The HEAD request sent by edna Pulse to the specified URL failed.
400callback-url-not-https

The URL does not use HTTPS protocol. Possible comments:

  • The callback URL is not HTTPS — The URL does not use HTTPS protocol.
400callback-url-too-long

The length of the URL is longer than allowed. Possible comments:

  • The callback URL is too long — The URL contains more than 500 characters.
400subject-not-found

The channel with the specified ID was not found. Possible comments:

  • Subject is not found — the channel with the specified ID was not found.
400url-not-specified

There is no URL for the webhook or the type of event that the webhook is configured for. Possible comments:

  • Need to specify url — it is necessary to specify the type of event for which the webhook is configured, or the URL for the webhook.